PLGCOL0A(3)

NAME
plgcol0a - Returns 8-bit RGB values and PLFLT alpha transparency value for given color index from cmap0

SYNOPSIS
plgcol0a(icol0, r, g, b, alpha)

DESCRIPTION

Returns 8-bit RGB values (0-255) and PLFLT alpha transparency value (0.0-1.0) for given color from cmap0 (see the PLplot documentation). Values are negative if an invalid color id is given.

Redacted form: plgcola(r, g, b)

This function is used in example 30.

ARGUMENTS

icol0 (PLINT(3), input)
    Index of desired cmap0 color.

r (PLINT_NC_SCALAR(3), output)
    Returned value of the red intensity in the range from 0 to 255.

g (PLINT_NC_SCALAR(3), output)
    Returned value of the green intensity in the range from 0 to 255.

b (PLINT_NC_SCALAR(3), output)
    Returned value of the blue intensity in the range from 0 to 255.

alpha (PLFLT_NC_SCALAR(3), output)
    Returned value of the alpha transparency in the range from (0.0-1.0).

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.